# ApplicationFramework
TKPShape
PColgp

# PColgp_VArrayTNodeOfFieldOfHArray2OfXYZ Class Reference

`#include <PColgp_VArrayTNodeOfFieldOfHArray2OfXYZ.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| PColgp_VArrayTNodeOfFieldOfHArray2OfXYZ ()
| PColgp_VArrayTNodeOfFieldOfHArray2OfXYZ (const gp_XYZ &aValue)
void | SetValue (const gp_XYZ &aValue)
Standard_Address | Value () const

## Private Attributes

gp_XYZ | myValue

## Constructor & Destructor Documentation

PColgp_VArrayTNodeOfFieldOfHArray2OfXYZ::PColgp_VArrayTNodeOfFieldOfHArray2OfXYZ | ( |  | ) |

PColgp_VArrayTNodeOfFieldOfHArray2OfXYZ::PColgp_VArrayTNodeOfFieldOfHArray2OfXYZ | ( | const gp_XYZ & | aValue | ) |

## Member Function Documentation

void PColgp_VArrayTNodeOfFieldOfHArray2OfXYZ::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PColgp_VArrayTNodeOfFieldOfHArray2OfXYZ::operator new | ( | size_t | size | ) | `[inline]`

void* PColgp_VArrayTNodeOfFieldOfHArray2OfXYZ::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void PColgp_VArrayTNodeOfFieldOfHArray2OfXYZ::SetValue | ( | const gp_XYZ & | aValue | ) |

Standard_Address PColgp_VArrayTNodeOfFieldOfHArray2OfXYZ::Value | ( |  | ) | const

## Field Documentation

gp_XYZ PColgp_VArrayTNodeOfFieldOfHArray2OfXYZ::myValue`[private]`

The documentation for this class was generated from the following file:

- PColgp_VArrayTNodeOfFieldOfHArray2OfXYZ.hxx